Skip to main content
PUT
Update a obligation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
required
Maximum string length: 150
opened_date
string<date>
required
original_amount
number
required
outstanding_amount
number
required
Required range: x >= 0
contact_id
string
required
account_id
string
required
currency_id
string
required
reference
string | null
Maximum string length: 100
notes
string | null
due_date
string<date> | null

Response

200 - application/json

Successful response

id
string
name
string
reference
string | null
notes
string | null
opened_date
string<date> | null
due_date
string<date> | null
original_amount
number
outstanding_amount
number
status
enum<string>
Available options:
open,
settled
settled_at
string<date-time> | null
contact
object
account
object
currency
object
created_at
string<date-time> | null
updated_at
string<date-time> | null
deleted_at
string<date-time> | null